Get customer company

Retrieves a single customer company by its ID.

Path Parameters

ParameterTypeRequiredDescription
idintegerYesCustomer company unique identifier

Response Fields

FieldTypeDescription
idintegerCustomer company unique identifier
namestringCompany legal name
siretstringSIRET number (French business ID)
vatNumberstringVAT identification number
tradeNamestringCommercial/trade name
addressobjectCompany address (see Address object below)
archivedbooleanWhether the customer company is archived
isDeletablebooleanWhether the company can be deleted (no linked customers)
customFieldsobjectCustom field values
createdAtdatetimeCreation timestamp
updatedAtdatetimeLast update timestamp

Address Object

FieldTypeDescription
countrystringCountry code (e.g., FR, US)
addressstringStreet address
statestringState/region
postCodestringPostal code
citystringCity name

Response

  • 200 OK: Returns the customer company details
  • 401 Unauthorized: Invalid or missing API key
  • 404 Not Found: Customer company not found
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Responses
200

Successful response

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!